コンテンツへスキップ

Marigold V2 Depth

統合

モデルID marigold-v2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/marigold-v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.03 30 APIクレジット · ≈ ₽3.16 このページで実行

APIキーを取得
Open model 画像編集 #depth#utility

1枚の画像から深度、透過深度、法線、アルベドマップを出力する画像分析モデル

Open model · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 image_url
ファイルをドロップ、または

入力画像の URL。

image_size

推論時の寸法。省略すると、入力画像の各寸法を16の最も近い倍数に丸めたサイズが使用されます。`"square_hd"` や `"landscape_4_3"` などのプリセット、または `{width, height}` オブジェクトを指定します。幅と高さはそれぞれ16で割り切れる必要があり、2048ピクセルを超えてはならず、比率は1:16~16:1の範囲内である必要があります。

詳細設定 prediction_type · seed · enable_safety_checker
prediction_type デフォルト depth

生成する予測マップの種類。

同じ画像を再利用した場合に出力を再現可能にする乱数シード。フォワードパス自体が決定論的な1ステップであるため、影響はVAEエンコーダーの潜在サンプリングに限定されます。

POST /run/marigold-v2?wait=20 見積もり → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/marigold-v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Marigold V2 Depthについて

単一画像からマップを推定します。`prediction_type` で深度、透過深度、法線、アルベドのいずれかを選択します。結果は数値テンソルではなく、PNGの可視化画像です。`image_size` にはプリセット、または16の倍数で最大2048までの幅・高さオブジェクトを指定できます。`seed` により結果を再現可能にします。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prediction_type任意
型enum
デフォルトdepth
depthsee-through-depthnormalsalbedo
生成する予測マップの種類。
image_url必須 image
型url · image
入力画像の URL。
image_size任意
型object
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
推論時の寸法。省略すると、入力画像の各寸法を16の最も近い倍数に丸めたサイズが使用されます。`"square_hd"` や `"landscape_4_3"` などのプリセット、または `{width, height}` オブジェクトを指定します。幅と高さはそれぞれ16で割り切れる必要があり、2048ピクセルを超えてはならず、比率は1:16~16:1の範囲内である必要があります。
seed任意
型integer | null
同じ画像を再利用した場合に出力を再現可能にする乱数シード。フォワードパス自体が決定論的な1ステップであるため、影響はVAEエンコーダーの潜在サンプリングに限定されます。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "marigold-v2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
image
object {url, content_type, file_name, file_size, width, height}表示用にPNGとしてレンダリングされた予測。この画像を通じて可逆な数値テンソルがレスポンスで提供されることはありません。
seed
integerVAEエンコーダーで潜在変数をサンプリングするときに適用するシード。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/marigold-v2.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt